﻿using Syncfusion.XlsIO;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using WebApplication1.UserControl;

namespace WebApplication1
{
    public partial class _Default : Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            GenerateData();
        }

        protected void btn_Click(object Sender, Syncfusion.JavaScript.Web.ButtonEventArgs e)
        {
            ExportAll();
        }

        private void ExportAll()
        {
            ExcelEngine excelEngine = new ExcelEngine();
            excelEngine.ThrowNotSavedOnDestroy = false;
            IApplication application = excelEngine.Excel;
            IWorkbook workbook = application.Workbooks.Create(1);
            workbook.ThrowOnUnknownNames = false;
            workbook.Version = ExcelVersion.Excel2013;

            try
            {
                foreach (ucData di in panelUserControls.Controls)
                {
                    IWorkbook excel = di.ExportarExcel();

                    IWorksheet worksheet;
                    if (excel == null)
                    {
                        worksheet = workbook.Worksheets.Create();
                        worksheet.Range["A1"].Text = "No existen datos";
                    }
                    else
                    {
                        worksheet = excel.Worksheets[0];
                    }

                    worksheet.Name = di.GetTitle();
                    worksheet.InsertRow(1, 3);
                    worksheet.Range["A1"].CellStyle.Font.Bold = true;
                    worksheet.Range["A1"].CellStyle.Font.Color = ExcelKnownColors.Blue;
                    worksheet.Range["A1"].CellStyle.Font.Size = 18;
                    worksheet.Range["A1"].Text = di.GetTitle().Replace("<bold>", "").Replace("</bold>", "");

                    workbook.Worksheets.AddCopy(worksheet);
                }


                workbook.Worksheets.Remove(0);

                workbook.SaveAs("Informes.xlsx", ExcelSaveType.SaveAsXLS, Response, ExcelDownloadType.PromptDialog, ExcelHttpContentType.Excel2013);
                workbook.Close();

            }
            catch (Exception ex)
            {
                int b = 0;
            }
            finally
            {
                workbook.Close();
                excelEngine.Dispose();
            }

        }

        private void GenerateData()
        {
            List<Item> lst = new List<Item>();

            lst.Add(new Item() { ID = 10, Name = "Cars", IdGroup = 1, Group = "land" });
            lst.Add(new Item() { ID = 20, Name = "Ships", IdGroup = 2, Group = "water" });
            lst.Add(new Item() { ID = 30, Name = "Bikes", IdGroup = 1, Group = "land" });
            lst.Add(new Item() { ID = 40, Name = "Airplanes", IdGroup = 3, Group = "air" });
            lst.Add(new Item() { ID = 50, Name = "Motos", IdGroup = 1, Group = "land" });
            lst.Add(new Item() { ID = 60, Name = "Trains", IdGroup = 1, Group = "land" });
            lst.Add(new Item() { ID = 70, Name = "Drones", IdGroup = 3, Group = "air" });

            panelUserControls.Controls.Clear();

            for (int i = 1; i <= 4; i++)
            //for (int i = 1; i <= 3; i++)
            {
                var di = (ucData)LoadControl("~/UserControl/ucData.ascx");
                di.ID = "uc_" + i.ToString();
                di.SetTitle(lst.Where(x => x.IdGroup == i).Select( x => x.Group).FirstOrDefault());
                di.SetDataSource(lst.Where(x => x.IdGroup == i).ToList<Item>());

                panelUserControls.Controls.Add(di);
            }
        }
    }


    [Serializable]
    public class Item
    {
        public int ID { get; set; }
        public string Name { get; set; }
        public int IdGroup { get; set; }
        public string Group { get; set; }
    }
}